task depth {
	
	File bam
	File bam_index
	String chromosome
	String sample_name
	String docker
	String disk_size
	String cluster_config
	

	command <<<

		set -o pipefail
		set -e

		/opt/conda/bin/samtools depth ${bam} -r ${chromosome} > ${sample_name}.depth.txt

		>>>

		runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File depth = "${sample_name}.depth.txt"
	}
}




